~cszikszoy/do-plugins/fix-confluence

« back to all changes in this revision

Viewing changes to m4/shamrock/monodoc.m4

  • Committer: Christopher James Halse Rogers
  • Date: 2008-07-25 06:31:03 UTC
  • Revision ID: raof@cowboylaputopu.cooperteam.net-20080725063103-r77k514l0z7kfw03
Start making autotools work again; all the plugins that currently have autofoo should be working

Show diffs side-by-side

added added

removed removed

Lines of Context:
 
1
AC_DEFUN([SHAMROCK_CHECK_MONODOC],
 
2
[
 
3
        AC_ARG_ENABLE(docs, AC_HELP_STRING([--disable-docs], 
 
4
                [Do not build documentation]), enable_docs=no, enable_docs=yes)
 
5
 
 
6
        if test "x$enable_docs" = "xyes"; then
 
7
                AC_PATH_PROG(MONODOCER, monodocer, no)
 
8
                if test "x$MONODOCER" = "xno"; then
 
9
                        AC_MSG_ERROR([You need to install monodoc, or pass --disable-docs to configure to skip documentation installation])
 
10
                fi
 
11
 
 
12
                AC_PATH_PROG(MDASSEMBLER, mdassembler, no)
 
13
                if test "x$MDASSEMBLER" = "xno"; then
 
14
                        AC_MSG_ERROR([You need to install mdassembler, or pass --disable-docs to configure to skip documentation installation])
 
15
                fi
 
16
 
 
17
                DOCDIR=`$PKG_CONFIG monodoc --variable=sourcesdir`
 
18
                AC_SUBST(DOCDIR)
 
19
                AM_CONDITIONAL(BUILD_DOCS, true)
 
20
        else
 
21
                AC_MSG_NOTICE([not building ${PACKAGE} API documentation])
 
22
                AM_CONDITIONAL(BUILD_DOCS, false)
 
23
        fi
 
24
])
 
25